org.apache.jmeter.protocol.http.util

## Class SlowHC4SocketFactory

- java.lang.Object
- - org.apache.http.conn.scheme.PlainSocketFactory
  - - org.apache.jmeter.protocol.http.util.SlowHC4SocketFactory

- All Implemented Interfaces:
    org.apache.http.conn.scheme.SchemeSocketFactory, org.apache.http.conn.scheme.SocketFactory

      public class SlowHC4SocketFactory
      extends org.apache.http.conn.scheme.PlainSocketFactory

  Apache HttpClient protocol factory to generate "slow" sockets for emulating dial-up modems

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlowHC4SocketFactory(int cps)` Create a factory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket()`
    `Socket` | `createSocket(org.apache.http.params.HttpParams params)`

    - ### Methods inherited from class org.apache.http.conn.scheme.PlainSocketFactory

      `connectSocket, connectSocket, getSocketFactory, isSecure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlowHC4SocketFactory

          public SlowHC4SocketFactory(int cps)

      Create a factory
      Parameters:
        `cps` - - characters per second

  - ### Method Detail

    - #### createSocket

          public Socket createSocket(org.apache.http.params.HttpParams params)

      Specified by:
        `createSocket` in interface `org.apache.http.conn.scheme.SchemeSocketFactory`
      Overrides:
        `createSocket` in class `org.apache.http.conn.scheme.PlainSocketFactory`

    - #### createSocket

          public Socket createSocket()

      Specified by:
        `createSocket` in interface `org.apache.http.conn.scheme.SocketFactory`
      Overrides:
        `createSocket` in class `org.apache.http.conn.scheme.PlainSocketFactory`

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.